Bug 245759 - Xserver crash/no X with new font packages
Xserver crash/no X with new font packages
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xorg-x11-fonts (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-26 10:33 EDT by Tom London
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-27 09:41:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/Xorg.0.log from crash.... (57.86 KB, text/plain)
2007-06-26 10:33 EDT, Tom London
no flags Details

  None (edit)
Description Tom London 2007-06-26 10:33:40 EDT
Description of problem:
After installing today's rawhide font packages, X server crashes 'very quickly'.
I don't even get gdm-greeter screen.

Here is backtrace from /var/log/gdm/:0.log (Xorg.0.log attached).

Backtrace:
0: /usr/bin/X(xf86SigHandler+0x81) [0x80cf1c1]
1: [0x110420]
2: /lib/libc.so.6(strstr+0x27) [0x45f69f67]
3: /usr/lib/libXfont.so.1 [0x448a0fe7]
4: /lib/libc.so.6 [0x45f26178]
5: /lib/libc.so.6 [0x45f260c8]
6: /lib/libc.so.6(qsort+0x128) [0x45f26358]
7: /usr/lib/libXfont.so.1 [0x448a0ac7]
8: /usr/bin/X [0x808b1c8]
9: /usr/bin/X(SetDefaultFontPath+0x83) [0x808b2d3]
10: /usr/bin/X(SetFontPath+0x2f) [0x808b33f]
11: /usr/bin/X(main+0x3ac) [0x807164c]
12: /lib/libc.so.6(__libc_start_main+0xe0) [0x45f10f70]
13: /usr/bin/X(FontFileCompleteXLFD+0x1e9) [0x8070a21]

Fatal server error:
Caught signal 11.  Server aborting

Here are packages updated today:
Jun 26 06:34:02 Installed: xorg-x11-fonts-misc.noarch 7.2-1.fc8
Jun 26 06:34:05 Updated: xorg-x11-fonts-100dpi.noarch 7.2-1.fc8
Jun 26 06:34:09 Updated: xorg-x11-fonts-Type1.noarch 7.2-1.fc8
Jun 26 06:34:14 Updated: xorg-x11-fonts-75dpi.noarch 7.2-1.fc8
Jun 26 06:34:16 Updated: xorg-x11-fonts-ISO8859-1-75dpi.noarch 7.2-1.fc8
Jun 26 06:34:20 Updated: xorg-x11-fonts-ISO8859-1-100dpi.noarch 7.2-1.fc8
Jun 26 06:34:24 Updated: xorg-x11-fonts-truetype.noarch 7.2-1.fc8
Jun 26 06:35:59 Erased: xorg-x11-fonts-base

I 'recovered' by reverting all these packages back to 7.1-3.fc7 (Test4 DVD).

Version-Release number of selected component (if applicable):
7.2-1.fc8

How reproducible:
Every time

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2007-06-26 10:33:40 EDT
Created attachment 157903 [details]
/var/log/Xorg.0.log from crash....
Comment 2 Adam Jackson 2007-06-27 09:41:04 EDT
Fixed by libXfont 1.2.9-2.

Note You need to log in before you can comment on or make changes to this bug.